globus_net_manager_attr(3)

NAME
globus_net_manager_attr - Net Manager Attribute Management Functions.

SYNOPSIS

  Data Structures

struct globus_net_manager_attr_s
Net Manager Attributes.

  Macros

#define GLOBUS_NET_MANAGER_NULL_ATTR
End of attribute array static initializer.

  Typedefs

typedef struct globus_net_manager_attr_s globus_net_manager_attr_t
Net Manager Attributes.

  Functions

globus_result_t globus_net_manager_attr_array_copy (globus_net_manager_attr_t **dest_array, const globus_net_manager_attr_t *src_array)
Copy an array of Network Manager attributes.
void globus_net_manager_attr_array_delete (globus_net_manager_attr_t *attrs)
Destroy an array of Network Manager attributes.
globus_result_t globus_net_manager_attr_array_from_string (globus_net_manager_attr_t **attr, const char *scope, const char *attr_string)
Parse an array of Network Manager attributes from a string.
void globus_net_manager_attr_destroy (globus_net_manager_attr_t *attr)
Destroy the contents of an attribute.
globus_result_t globus_net_manager_attr_init (globus_net_manager_attr_t *attr, const char *scope, const char *name, const char *value)
Initialize the contents of an attribute.

  Variables

const globus_net_manager_attr_t globus_net_manager_null_attr = GLOBUS_NET_MANAGER_NULL_ATTR
End of array value.

Detailed Description

Net Manager Attribute Management Functions.

Typedef Documentation

  typedef struct globus_net_manager_attr_s
 globus_net_manager_attr_t"

Net Manager Attributes. The globus_net_manager_attr_t structure defines a scoped (attribute, value) tuple. The scope in most cases is either the name of the transport driver or the 'globus_net_manager' scope, for attributes specific to the network manager implementation.

Function Documentation

  globus_result_t globus_net_manager_attr_array_copy (globus_net_manager_attr_t ** dest_array, const globus_net_manager_attr_t * src_array)

Copy an array of Network Manager attributes. This function performs a deep copy of array of net_manager attributes. The new array will be stored in the pointer passed to by the dest_array parameter. It will contain all entries in the array passed as the src_array, ending with the value GLOBUS_NET_MANAGER_NULL_ATTR.

The caller must free the array stored in *dest_array by calling globus_net_manager_attr_array_destroy().

Parameters
    dest_array A pointer to an array of attributes to be allocated and initialized.
    src_array An array of attributes to copy.

Returns
    On error, the dest_array is set to NULL and this function returns an error object. Otherwise, this function returns GLOBUS_SUCCESS.

  void globus_net_manager_attr_array_delete (globus_net_manager_attr_t * attrs)

Destroy an array of Network Manager attributes. This function deletes an array of Network Manager attributes and all values contained within them. The array must be terminated by the value GLOBUS_NET_MANAGER_NULL_ATTR.

Parameters
    attrs A pointer to an array of attributes to be freed.

  globus_result_t globus_net_manager_attr_array_from_string (globus_net_manager_attr_t ** attr, const char * scope, const char * attr_string)

Parse an array of Network Manager attributes from a string. This function parses a string containing a list of attributes and creates a new array of Network Manager attribute values from it. The array is terminated by globus_net_manager_null_attr.

Attribute strings are formed by the regular expression

    NAME=VALUE(;NAME=VALUE)*

 The NAME and VALUE strings may contain any character except ; =, and the carriage return and newline characters.

The caller must free the array stored in *attr by calling globus_net_manager_attr_array_destroy().

Parameters
    attr A pointer to an array of attributes to be allocated and initialized.
    scope The string to be added as the scope value of the attributes.
    attr_string The string to be parsed.

Returns
    On success, this function returns GLOBUS_SUCCESS. Otherwise, an error result is returned to the caller.

  void globus_net_manager_attr_destroy (globus_net_manager_attr_t * attr)

Destroy the contents of an attribute. This function frees the values contained in attr and reinitializes them to NULL. It does not free attr itself.

Parameters
    attr Pointer to the attribute to destroy.

  globus_result_t globus_net_manager_attr_init (globus_net_manager_attr_t * attr, const char * scope, const char * name, const char * value)

Initialize the contents of an attribute. This function initializes attr and with copies of the values passed as the scope, name, and value parameters.

Parameters
    attr Pointer to the attribute to initialize.
    scope Attribute scope
    name Attribute name
    value Attribute value

Returns
    On error, 'attr' is set to NULL and this function returns an error object. Otherwise this function returns 'GLOBUS_SUCCESS'

Variable Documentation

  const globus_net_manager_attr_t globus_net_manager_null_attr = GLOBUS_NET_MANAGER_NULL_ATTR

End of array value. This value may be assigned to an element in an array of Network Manager attributes to terminate the array.

Author

Generated automatically by Doxygen for globus_net_manager from the source code.